pPerf | R Documentation

## Definition for S3 class `pPerf`

### Description

`pPerf` mush have following components: PRS, AUROC, Fmax, ROC_perf, PR_perf, Pred_obj.

### Usage

    pPerf(PRS, AUROC, Fmax, ROC_perf, PR_perf, Pred_obj)

    ## S3 method for class 'pPerf'
    print(x, ...)

### Arguments

`PRS` | a data frame
`AUROC` | a scalar
`Fmax` | a scalar
`ROC_perf` | a ROCR 'performance' object for ROC curve
`PR_perf` | a ROCR 'performance' object for PR curve
`Pred_obj` | a ROCR 'prediction' object for other performance measures
`x` | an object of class `pPerf`
`...` | other parameters

### Value

an object of S3 class `pPerf`

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata_dev"
    ## Not run:
    pPerf(PRS, AUROC, Fmax, ROC_perf, PR_perf, Pred_obj)

    ## End(Not run)